using System;
using System.ComponentModel;
using System.ServiceProcess;

namespace TeslaConsole;

public class ServiceStatusEventArgs : AsyncCompletedEventArgs
{
	private ServiceControllerStatus mStatus;

	public ServiceControllerStatus Status
	{
		get
		{
			RaiseExceptionIfNecessary();
			return mStatus;
		}
	}

	public ServiceStatusEventArgs(ServiceControllerStatus status, Exception e, bool canceled, object state)
		: base(e, canceled, state)
	{
		mStatus = status;
	}
}
